# Uses of Record Class
org.eclipse.jdt.ui.text.java.ISemanticTokensProvider.SemanticToken

Packages that use ISemanticTokensProvider.SemanticToken
Package
Description
org.eclipse.jdt.ui.text.java
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of ISemanticTokensProvider.SemanticToken in org.eclipse.jdt.ui.text.java

Methods in org.eclipse.jdt.ui.text.java that return types with arguments of type ISemanticTokensProvider.SemanticToken
Modifier and Type
Method
Description
`Collection<ISemanticTokensProvider.SemanticToken>`
ISemanticTokensProvider.`computeSemanticTokens(CompilationUnit ast)`